package jp.agentec.abook.abv.bl.dto;

import java.util.List;

/**
 * Created by leej on 2019/03/19.
 */

public class TaskWorkerGroupDto extends AbstractDto {

    public int taskReportLevel;
    public long operationId;
    public int groupId;

    // inner join 用
    public String groupName;

    // OperationListJSONで取得用
    public List<Integer> groupList;

    @Override
    public Object[] getInsertValues() {
        return new Object[] { taskReportLevel, operationId, groupId};
    }


    @Override
    public String[] getKeyValues() {
        return new String[] { "" + operationId };
    }
}
